Recent

Author Topic: Can't compile/link after update to 2.0.12 / /usr/bin/ld.bfd: cannot find -lQt5Pa  (Read 1595 times)

hy

  • Full Member
  • ***
  • Posts: 221
Hi people,
after a dist-upgrade yesterday (Debian) I had to reinstall lazarus and now I am left with an error after compiling (when linking): /usr/bin/ld.bfd: cannot find -lQt5Pas
QT5Pas is located in /usr/lib/lazarus/interfaces and the directory is in the path of compileroptions. Any idea to solve this?
When switching to gtk I get an error on linking without hint on what the error is
Any help apreciated
_____
***hy
OS: debian sid(64bit)  [fpc 3.20] Lazarus 2.0.12


hy

  • Full Member
  • ***
  • Posts: 221
Thanks, that did the trick
_____
***hy
OS: debian sid(64bit)  [fpc 3.20] Lazarus 2.0.12

dbannon

  • Hero Member
  • *****
  • Posts: 2022
    • tomboy-ng, a rewrite of the classic Tomboy
Hy, guessing you updated to Bullseye ?

Did you try to install Bullseye's version of libqt5pas-dev and well as the actual library ?  All you should need is

Code: [Select]
su -c "apt install libqt5pas-dev"
If that is not working, it would be nice to know why not ....

Davo
Lazarus 2, Linux (and reluctantly Win10, OSX)
My Project - https://github.com/tomboy-notes/tomboy-ng

 

TinyPortal © 2005-2018